[arch-commits] Commit in luola/trunk (PKGBUILD)

Allan McRae allan at archlinux.org
Thu Jun 18 02:18:42 EDT 2009


    Date: Thursday, June 18, 2009 @ 02:18:42
  Author: allan
Revision: 42653

upgpkg: luola 1.3.0-3
    rebuild for sdl_gfx soname bump, tidy up PKGBUILD

Modified:
  luola/trunk/PKGBUILD

----------+
 PKGBUILD |   24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-18 06:16:58 UTC (rev 42652)
+++ PKGBUILD	2009-06-18 06:18:42 UTC (rev 42653)
@@ -4,25 +4,25 @@
 
 pkgname=luola
 pkgver=1.3.0
-pkgrel=2
+pkgrel=3
 pkgdesc="A cavern-flying game for 1-4 players"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('GPL')
-depends=('sdl_image' 'sdl_ttf' 'sdl_gfx' 'sdl_mixer')
+depends=('sdl_image' 'sdl_ttf' 'sdl_gfx>=2.0.19' 'sdl_mixer')
 url="http://www.luolamies.org/software/luola/"
-source=("$url/$pkgname-$pkgver.tar.gz" \
-		"$url/stdlevels-6.0.tar.gz"
-        "$url/nostalgia-1.2.tar.gz")
+source=(http://www.luolamies.org/software/luola/$pkgname-$pkgver.tar.gz
+        http://www.luolamies.org/software/luola/stdlevels-6.0.tar.gz
+        http://www.luolamies.org/software/luola/nostalgia-1.2.tar.gz)
 md5sums=('3bb6ad28882de3dcb17a0571ba4ed8f9'
          '7660b90d67c06726c1849c3ff0e24aea'
          '4777681fa97ada351ebaf954ba8451ef')
 
 build() {
-cd $startdir/src/$pkgname-$pkgver
-./configure --prefix=/usr --enable-sdl-gfx -enable-sound
-make || return 1
-make prefix=$startdir/pkg/usr install
-cd $startdir/src
-cp {*.png,*.lev} $startdir/pkg/usr/share/luola/levels
+ cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --enable-sdl-gfx -enable-sound
+  make || return 1
+  make prefix=$pkgdir/usr install
+  cd $srcdir
+  install -Dm644 {*.png,*.lev} $pkgdir/usr/share/luola/levels
 }
 



More information about the arch-commits mailing list